import {terser} from 'rollup-plugin-terser';
import resolve from 'rollup-plugin-node-resolve';
import commonjs from 'rollup-plugin-commonjs';
import babel from 'rollup-plugin-babel';
import path from "path";
const pkg = require('../package.json')
const resolveFile = (...args) => path.resolve(...args);
let inputFile=resolveFile("./src/index.js")
export default {

	input: inputFile,
	output: [
		{
			file:resolveFile(pkg.main),
			format: 'cjs',
			exports: "named"
		},
		// 输出 es 规范的代码
		{
			file: resolveFile(pkg.module),
			format: 'esm',
			sourcemap: false,
			exports: "named"
		}
	],
	plugins: [
		resolve(), commonjs(),
		babel({runtimeHelpers: true, exclude: 'node_modules/**',}),
		terser(),
	]
};
