/**
 * 将数据分组
 * @param list 数据源
 * @param groupNumber 分组的个数
 * @returns {[]|*} 返回分组后的列表
 */
function groupingList(list, groupNumber) {
	if (list && groupNumber > 0) {
		const groupList = [];
		let endLength = list.length;
		let startIndex = 0;
		let endIndex = groupNumber;
		while (startIndex < endLength) {
			groupList.push(list.slice(startIndex, endIndex))
			startIndex = startIndex + groupNumber
			endIndex = endIndex + groupNumber
		}
		return groupList;
	}
	return list;
}

/**
 * 补齐数据
 * 返回新的数据
 * @param list
 * @param groupNum
 * @returns {*}
 */
function makeUpGroupList(list, groupNum) {
	if (list && list.length > 0) {
		const newList = [...list]
		if (groupNum < 2) {
			return newList;
		}
		let endCount = newList.length % groupNum;
		if (endCount > 0) {//补全数据
			for (let i = 0, len = groupNum - endCount; i < len; i++) {
				newList.push({})
			}
		}
		return newList;
	}
	return list;
}

module.exports = {
	groupingList: groupingList,
	makeUpGroupList: makeUpGroupList,
};
