let urlHelper = undefined;
let objectHelper = undefined;
let dateHelper = undefined;
let arrayHelper = undefined;
let calendarHelper = undefined;
let eventBus = undefined;
let stringHelper = undefined;

function getObjectHelper() {
	if (objectHelper === undefined) {
		objectHelper = require('./common/ObjectHelper')
	}
	return objectHelper;
}

function getUrlHelper() {
	if (urlHelper === undefined) {
		urlHelper = require('./common/UrlHelper')
	}
	return urlHelper;
}

function getDateHelper() {
	if (dateHelper === undefined) {
		dateHelper = require('./common/DateHelper')
	}
	return dateHelper;
}

function getCountDownTimer(millisInFuture, countDownInterval) {
	let countDownTimer = require('./common/CountDownHelper');
	return new countDownTimer(millisInFuture, countDownInterval);
}

function getArrayHelper() {
	if (arrayHelper === undefined) {
		arrayHelper = require('./common/ArrayHelper');
	}
	return arrayHelper;
}

function getCalendarHelper() {
	if (calendarHelper === undefined) {
		calendarHelper = require('./common/CalendarHelper')
	}
	return calendarHelper
}

function getStringHelper() {
	if (stringHelper === undefined) {
		stringHelper = require('./common/StringHelper')
	}
	return stringHelper
}

function getEventBus() {
	if (eventBus === undefined) {
		eventBus = require('./common/EventBus')
	}
	return eventBus;
}

class Common {
	static getObjectHelper() {
		return getObjectHelper();
	}
	static getUrlHelper() {
		return getUrlHelper();
	}

	static getDateHelper() {
		return getDateHelper();
	}

	static getCountDownTimer(millisInFuture, countDownInterval) {
		return getCountDownTimer(millisInFuture, countDownInterval);
	}

	static getArrayHelper() {
		return getArrayHelper();
	}

	static getStringHelper() {
		return getStringHelper();
	}

	static getCalendarHelper() {
		return getCalendarHelper();
	}

	static getEventBus() {
		return getEventBus();
	}

	static dateConstants = require('./common/DateConstants');
	static LogUtils = require('./common/LogUtils');
}

module.exports = Common;

